std::decimal::decimal32 Class Reference
Numerics » Decimal Floating-Point Arithmetic

## Public Types

typedef float __decfloat32 | __attribute__((mode(SD)))

## Public Member Functions

| decimal32 (__decfloat32 __z)
| decimal32 (decimal128 __d128)
| decimal32 (decimal64 __d64)
| decimal32 (double __r)
| decimal32 (float __r)
| decimal32 (int __z)
| decimal32 (long __z)
| decimal32 (long double __r)
| decimal32 (long long __z)
| decimal32 (unsigned int __z)
| decimal32 (unsigned long __z)
| decimal32 (unsigned long long __z)
__decfloat32 | __getval (void)
void | __setval (__decfloat32 __x)
| operator long long () const
decimal32 & | operator*= (decimal128 __rhs)
decimal32 & | operator*= (decimal32 __rhs)
decimal32 & | operator*= (decimal64 __rhs)
decimal32 & | operator*= (int __rhs)
decimal32 & | operator*= (long __rhs)
decimal32 & | operator*= (long long __rhs)
decimal32 & | operator*= (unsigned int __rhs)
decimal32 & | operator*= (unsigned long __rhs)
decimal32 & | operator*= (unsigned long long __rhs)
decimal32 & | operator++ ()
decimal32 | operator++ (int)
decimal32 & | operator+= (decimal128 __rhs)
decimal32 & | operator+= (decimal32 __rhs)
decimal32 & | operator+= (decimal64 __rhs)
decimal32 & | operator+= (int __rhs)
decimal32 & | operator+= (long __rhs)
decimal32 & | operator+= (long long __rhs)
decimal32 & | operator+= (unsigned int __rhs)
decimal32 & | operator+= (unsigned long __rhs)
decimal32 & | operator+= (unsigned long long __rhs)
decimal32 & | operator-- ()
decimal32 | operator-- (int)
decimal32 & | operator-= (decimal128 __rhs)
decimal32 & | operator-= (decimal32 __rhs)
decimal32 & | operator-= (decimal64 __rhs)
decimal32 & | operator-= (int __rhs)
decimal32 & | operator-= (long __rhs)
decimal32 & | operator-= (long long __rhs)
decimal32 & | operator-= (unsigned int __rhs)
decimal32 & | operator-= (unsigned long __rhs)
decimal32 & | operator-= (unsigned long long __rhs)
decimal32 & | operator/= (decimal128 __rhs)
decimal32 & | operator/= (decimal32 __rhs)
decimal32 & | operator/= (decimal64 __rhs)
decimal32 & | operator/= (int __rhs)
decimal32 & | operator/= (long __rhs)
decimal32 & | operator/= (long long __rhs)
decimal32 & | operator/= (unsigned int __rhs)
decimal32 & | operator/= (unsigned long __rhs)
decimal32 & | operator/= (unsigned long long __rhs)

## Detailed Description

3.2.2 Class decimal32.

Definition at line 227 of file decimal.

The documentation for this class was generated from the following file:

- decimal